### Hierarchy

- LocationService

## Index

### Constructors

- constructor

### Properties

- areaNames
- areaNamesList
- areaNamesSubject
- areaTypes
- areaTypesList
- areaTypesSubject

### Methods

- getAreaNameByLocation
- getAreaNames
- getAreaTypeByArea
- getAreaTypes

## Constructors

### constructor

- new LocationService(httpClient: HttpClient): LocationService

- - Defined in src/app/_services/location.service.ts:17

  #### Parameters

  - ##### httpClient: HttpClient

  #### Returns LocationService

## Properties

### areaNames

areaNames: object = {}

- Defined in src/app/_services/location.service.ts:11

### Private areaNamesList

areaNamesList: BehaviorSubject<object> = ...

- Defined in src/app/_services/location.service.ts:12

### areaNamesSubject

areaNamesSubject: Observable<object> = ...

- Defined in src/app/_services/location.service.ts:13

### areaTypes

areaTypes: object = {}

- Defined in src/app/_services/location.service.ts:15

### Private areaTypesList

areaTypesList: BehaviorSubject<object> = ...

- Defined in src/app/_services/location.service.ts:16

### areaTypesSubject

areaTypesSubject: Observable<object> = ...

- Defined in src/app/_services/location.service.ts:17

## Methods

### getAreaNameByLocation

- getAreaNameByLocation(location: string, areaNames: object): string

- - Defined in src/app/_services/location.service.ts:28

  #### Parameters

  - ##### location: string

  - ##### areaNames: object

  #### Returns string

### getAreaNames

- getAreaNames(): void

- - Defined in src/app/_services/location.service.ts:21

  #### Returns void

### getAreaTypeByArea

- getAreaTypeByArea(area: string, areaTypes: object): string

- - Defined in src/app/_services/location.service.ts:47

  #### Parameters

  - ##### area: string

  - ##### areaTypes: object

  #### Returns string

### getAreaTypes

- getAreaTypes(): void

- - Defined in src/app/_services/location.service.ts:40

  #### Returns void

Generated using TypeDoc